Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit
Class KVList.RemoveDisabledIterator<E>

    java.lang.Object
      de.knipp.rritoolkit.KVList.RemoveDisabledIterator<E>

Type Parameters:
  `E` - the value type

All Implemented Interfaces:
  java.util.Iterator<E>

Enclosing class:
  KVList

    private static class KVList.RemoveDisabledIterator<E>

extends java.lang.Object
implements java.util.Iterator<E>

small wrapper class of an Iterator the suppresses the use of the remove method

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`private java.util.Iterator<E>` | `iterator` the original iterator

Constructor Summary
`KVList.RemoveDisabledIterator(java.util.Iterator<E> i)` constructor

Method Summary
`boolean` | `hasNext()` return whether there are more elements
`E` | `next()` return the first element
`void` | `remove()` remove the current element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    private java.util.Iterator<E> iterator

  the original iterator

Constructor Detail

### KVList.RemoveDisabledIterator

    public KVList.RemoveDisabledIterator(java.util.Iterator<E> i)

  constructor

  Parameters:
    `i` - the iterator

Method Detail

### hasNext

    public boolean hasNext()

  return whether there are more elements

  Specified by:
    `hasNext` in interface `java.util.Iterator<E>`
  Returns:
    `true` if so

### next

    public E next()
           throws java.util.NoSuchElementException

  return the first element

  Specified by:
    `next` in interface `java.util.Iterator<E>`
  Returns:
    the element
  Throws:
    `java.util.NoSuchElementException` - on attempts to read past the end

### remove

    public void remove()
                throws java.lang.UnsupportedOperationException

  remove the current element

  Specified by:
    `remove` in interface `java.util.Iterator<E>`
  Throws:
    `java.lang.UnsupportedOperationException` - always

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH